This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 190368

Summary: [69cat] NullPointerException: The popup parameter cannot be null
Product: debugger Reporter: stefan79 <stefan79>
Component: JavaAssignee: Martin Entlicher <mentlicher>
Status: RESOLVED FIXED    
Severity: normal CC: emiddio
Priority: P3    
Version: 6.x   
Hardware: All   
OS: All   
Issue Type: DEFECT Exception Reporter: 171858
Attachments: stacktrace

Description stefan79 2010-09-15 07:13:59 UTC
Build: NetBeans IDE 6.9.1 (Build 201007282301)
VM: Java HotSpot(TM) 64-Bit Server VM, 17.0-b17, Java(TM) SE Runtime Environment, 1.6.0_21-b07
OS: Windows 7

User Comments:
stefan79: Exception occured while debugging.

GUEST: When working with Java web project in debug mode.




Stacktrace: 
java.lang.NullPointerException: The popup parameter cannot be null
   at org.openide.util.Parameters.notNull(Parameters.java:89)
   at org.netbeans.editor.PopupManager.computeBounds(PopupManager.java:372)
   at org.netbeans.editor.PopupManager.computeBounds(PopupManager.java:293)
   at org.netbeans.editor.PopupManager.install(PopupManager.java:193)
   at org.netbeans.editor.ext.ToolTipSupport.ensureVisibility(ToolTipSupport.java:713)
   at org.netbeans.editor.ext.ToolTipSupport.setToolTip(ToolTipSupport.java:321)
Comment 1 stefan79 2010-09-15 07:14:03 UTC
Created attachment 102025 [details]
stacktrace
Comment 2 David Strupl 2010-09-16 09:17:50 UTC
Debugger team, please evaluate.
Comment 3 Martin Entlicher 2010-09-16 12:01:35 UTC
There's a check for null popup, a non-null is assigned, but then null is used - this must be a threading issue.
It looks like the code needs to run in AWT thread.
Comment 4 Martin Entlicher 2010-09-27 13:12:57 UTC
Fixed in changeset:   178148:55623d7d33c2
http://hg.netbeans.org/main/rev/55623d7d33c2